1. Tasks
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Tasks

createOrUpdateMany

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
POST
/tasks/createOrUpdateMany
The Create or Update Many endpoint is the most important task endpoint, as it satisfies all of your task creation and update processes.
It checks if the task already exists by matching the reference value with your records, and either updates the corresponding task if both references match, or creates a new task if a reference doesn't exist. It is the most useful endpoint, as it ensures that you don't create duplicate tasks and don't send multiple calls to eLogii.

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Body Params application/json

Examples

Responses

🟢200Created a task
*/*
Successful
Body

🟢200Updated a task
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-35.elogii.com/tasks/createOrUpdateMany' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "items": [
        {
            "reference": "123-test",
            "type": 1,
            "date": 20250822,
            "timeWindows": [
                {
                    "start": 540,
                    "end": 900
                }
            ],
            "instructions": " Please leave outside workshop if closed",
            "location": {
                "type": 2,
                "name": "C0805-KD Fine Art (Compton)",
                "address": "The Old Pottery,Down Lane,Compton,Surrey,GU3 1DQ,GB",
                "postCode": "GU3 1DQ",
                "coordinates": [
                    -0.630083,
                    51.220836
                ]
            }
        }
    ],
    "importConfig": {
        "importMode": "update",
        "match": {
            "reference": true
        }
    }
}'
Response Response Example
200 - Created a task - Example 1
{
    "result": "1",
    "ids": [
        "68a83be20017daed57692807"
    ],
    "errors": [
        "string"
    ],
    "created": "1"
}
Modified at 2025-11-12 16:33:15
Previous
Task Elements
Next
Get tasks
Built with